This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 714483 - Fedora Live usb
Fedora Live usb
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
15
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-19 11:06 EDT by Richard Marchesi
Modified: 2011-07-14 20:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 20:12:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Marchesi 2011-06-19 11:06:41 EDT
Description of problem:

boot from usb live fedora 15 breaks my current system which is ubuntu 10.04, which is 3 disk raid0
/md0
/md1
/md1
it becomes for some reason
/md125
/md126
/md0

which makes the system unbootable

very strange as i didnt install anything, only booted the live fedora system.  


Version-Release number of selected component (if applicable):
f15

How reproducible:


Steps to Reproduce:
1. boot with live usb into the live system
2. reboot pc as per normal
3.
  
Actual results:
stops workin at boot with his error
error: non such disk.
grub rescue>

Expected results:
system should boot as per normal

Additional info:
Comment 1 Doug Ledford 2011-07-14 20:12:20 EDT
There is no coordination between Fedora mdadm usage and Ubuntu mdadm usage.  In particular, there are different superblock versions that are likely in use and different methods of numbering arrays.  Fedora is switching away from numbering arrays entirely and going to name based array recognition.  It's possible that something in our mdadm usage caused the superminor number in your existing arrays to get updated, resulting in this change in names, but this sort of cross distro interaction is not likely something I can properly debug (especially as I don't even know what the live USB image does to bring the arrays up).  If anyone can fix this, it's likely going to have to be the live image people, not me.

Note You need to log in before you can comment on or make changes to this bug.